DiskBalancer.VolumePair (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.datanode, class: DiskBalancer, class: VolumePair

Package org.apache.hadoop.hdfs.server.datanode

# Class DiskBalancer.VolumePair

java.lang.Object
org.apache.hadoop.hdfs.server.datanode.DiskBalancer.VolumePair

Enclosing class:
  DiskBalancer

public static class DiskBalancer.VolumePair extends Object
Holds source and dest volumes UUIDs and their BasePaths that disk balancer will be operating against.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VolumePair(String sourceVolUuid, String sourceVolBasePath, String destVolUuid, String destVolBasePath)`
  Constructs a volume pair.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getDestVolBasePath()`
  Gets desitnation volume base path.
  `String`
  `getDestVolUuid()`
  Gets destination volume UUID.
  `String`
  `getSourceVolBasePath()`
  Gets source volume base path.
  `String`
  `getSourceVolUuid()`
  Gets source volume UUID.
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VolumePair

    public VolumePair(String sourceVolUuid, String sourceVolBasePath, String destVolUuid, String destVolBasePath)
    Constructs a volume pair.
    Parameters:
      `sourceVolUuid` - - Source Volume
      `sourceVolBasePath` - - Source Volume Base Path
      `destVolUuid` - - Destination Volume
      `destVolBasePath` - - Destination Volume Base Path

- ## Method Details

  - ### getSourceVolUuid

    public String getSourceVolUuid()
    Gets source volume UUID.
    Returns:
      UUID String

  - ### getSourceVolBasePath

    public String getSourceVolBasePath()
    Gets source volume base path.
    Returns:
      String

  - ### getDestVolUuid

    public String getDestVolUuid()
    Gets destination volume UUID.
    Returns:
      UUID String

  - ### getDestVolBasePath

    public String getDestVolBasePath()
    Gets desitnation volume base path.
    Returns:
      String

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`